multicast_group_member_list

The group can be specified by name, UUID, or multicast IP address.

get/v1/multicast-groups/{multicast_group}/members

Path Parameters

multicast_group

Name, ID, or IP address of the multicast group

Can be a UUID, a name, or an IP address

Query Parameters

limit

Maximum number of items returned by a single call

page_token

Token returned by previous call to retrieve the subsequent page

sort_by

Supported set of sort modes for scanning by id only.

Currently, we only support scanning in ascending order.

Responses

Object
items

list of items on this page of results

View of a Multicast Group Member (instance belonging to a multicast group)

Object
description

human-readable free-form text about a resource

id

unique, immutable, system-controlled identifier for each resource

instance_id

The ID of the instance that is a member of this group.

multicast_group_id

The ID of the multicast group this member belongs to.

multicast_ip

The multicast IP address of the group this member belongs to.

name

unique, mutable, user-controlled identifier for each resource

Names must begin with a lower case ASCII letter, be composed exclusively of lowercase ASCII, uppercase ASCII, numbers, and '-', and may not end with a '-'. Names cannot be a UUID, but they may contain a UUID. They can be at most 63 characters long.

source_ips

Source IP addresses for this member's multicast subscription.

  • ASM: Sources are optional. Empty array means any source is allowed. Non-empty array enables source filtering (IGMPv3/MLDv2). - SSM: Sources are required for SSM addresses (232/8, ff3x::/32).
state

Current state of the multicast group membership.

time_created

timestamp when this resource was created

time_modified

timestamp when this resource was last modified

next_page

token used to fetch the next page of results (if any)